#include <bits/stdc++.h>
using namespace std;
long a[100000];
long t=0;
long r=0;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	long n;
	cin>>n;
    int x;
    for (int i=0;i<n;i++)
    {
        cin >>x;
        a[x-1]++;
        t++;
    }
    while(t>0)
    {
        a[x-1]--;
        t--;
        r+=x;
        t-=a[0];
        a[0]=0;
        for (int i=1;i<x-1;i++)
        {
            swap(a[i],a[i-1]);
        }
        if (a[x-1]==0)
        {
            for (int i=0;i<n;i++)
            {
                if (a[i]!=0) x=i+1;
            }
        }
    }
    cout <<r;

}
